com.atlassian.plugin.osgi.container.OsgiContainerException

There are no available Samebug tips for this exception. Do you have an idea how to solve this issue? A short tip would help users who saw this issue last week.

  • It is not possible to execute wired integration tests. I get error instead: {code} java.lang.Exception: No tests found in class [it.com.pbaranchikov.stash.checks.InheritedEolTest] at com.atlassian.plugins.osgi.test.AtlassianPluginsTestRunner.runViaRestCall(AtlassianPluginsTestRunner.java:125) at com.atlassian.plugins.osgi.test.AtlassianPluginsTestRunner.run(AtlassianPluginsTestRunner.java:75) at org.apache.maven.surefire.junit4.JUnit4Provider.execute(JUnit4Provider.java:252) at org.apache.maven.surefire.junit4.JUnit4Provider.executeTestSet(JUnit4Provider.java:141) {code} Bitbucket server output contains the following: {code} [INFO] [talledLocalContainer] 2015-09-25 12:08:39,431 WARN [ThreadPoolAsyncTaskExecutor::Thread 1] c.a.p.s.s.e.DevModeBeanInitialisationLoggerBeanPostProcessor AfterInitialisation [beanName=urlRouteModuleDescriptorFactory, objectType=com.atlassian.prettyurls.module.UrlRouteModuleDescriptorFactory, level=-5] [INFO] [talledLocalContainer] 2015-09-25 12:08:39,466 WARN [spring-startup] c.a.plugin.impl.AbstractPlugin Because of this exception [INFO] [talledLocalContainer] com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.pbaranchikov.stash-eol-check [INFO] [talledLocalContainer] at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:449) ~[OsgiPlugin.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:336) ~[AbstractPlugin.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:150) [PluginEnabler.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:118) [PluginEnabler.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.enableDependentPlugins(DefaultPluginManager.java:1249) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.addPlugins(DefaultPluginManager.java:1221) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.StashPluginManager.addPlugins(StashPluginManager.java:71) [StashPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.earlyStartup(DefaultPluginManager.java:513) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.StashPluginManager.lambda$earlyStartup$3(StashPluginManager.java:51) [StashPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.PluginUpgradeHelper.withUpgrade(PluginUpgradeHelper.java:82) ~[PluginUpgradeHelper.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.StashPluginManager.earlyStartup(StashPluginManager.java:51) [StashPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.init(DefaultPluginManager.java:426) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.SpringPluginSystemLifecycle.start(SpringPluginSystemLifecycle.java:34) ~[SpringPluginSystemLifecycle.class:na] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.doStart(DefaultLifecycleProcessor.java:173) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.access$200(DefaultLifecycleProcessor.java:51) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor$LifecycleGroup.start(DefaultLifecycleProcessor.java:346) ~[DefaultLifecycleProcessor$LifecycleGroup.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.startBeans(DefaultLifecycleProcessor.java:149) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.onRefresh(DefaultLifecycleProcessor.java:112) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.AbstractApplicationContext.finishRefresh(AbstractApplicationContext.java:770) ~[AbstractApplicationContext.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.AbstractApplicationContext.refresh(AbstractApplicationContext.java:483) ~[AbstractApplicationContext.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at javax.servlet.GenericServlet.init(GenericServlet.java:158) ~[servlet-api.jar:3.1.FR] [INFO] [talledLocalContainer] at java.lang.Thread.run(Thread.java:745) ~[na:1.8.0_60] [INFO] [talledLocalContainer] ... 8 frames trimmed [INFO] [talledLocalContainer] Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle com.pbaranchikov.stash-eol-check [111]: Unable to resolve 111.0: missing requirement [111.0] osgi.wiring.package; (osgi.wiring.package=com.atlassian.stash.commit) [INFO] [talledLocalContainer] at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:3974) ~[Felix.class:na] [INFO] [talledLocalContainer] ... 22 common frames omitted [INFO] [talledLocalContainer] 2015-09-25 12:08:39,492 ERROR [spring-startup] c.a.plugin.manager.PluginEnabler Unable to enable plugin com.pbaranchikov.stash-eol-check [INFO] [talledLocalContainer] com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.pbaranchikov.stash-eol-check [INFO] [talledLocalContainer] at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:449) ~[OsgiPlugin.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:336) ~[AbstractPlugin.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:150) [PluginEnabler.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:118) [PluginEnabler.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.enableDependentPlugins(DefaultPluginManager.java:1249) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.addPlugins(DefaultPluginManager.java:1221) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.StashPluginManager.addPlugins(StashPluginManager.java:71) [StashPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.earlyStartup(DefaultPluginManager.java:513) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.StashPluginManager.lambda$earlyStartup$3(StashPluginManager.java:51) [StashPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.PluginUpgradeHelper.withUpgrade(PluginUpgradeHelper.java:82) ~[PluginUpgradeHelper.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.StashPluginManager.earlyStartup(StashPluginManager.java:51) [StashPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.init(DefaultPluginManager.java:426) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.SpringPluginSystemLifecycle.start(SpringPluginSystemLifecycle.java:34) ~[SpringPluginSystemLifecycle.class:na] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.doStart(DefaultLifecycleProcessor.java:173) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.access$200(DefaultLifecycleProcessor.java:51) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor$LifecycleGroup.start(DefaultLifecycleProcessor.java:346) ~[DefaultLifecycleProcessor$LifecycleGroup.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.startBeans(DefaultLifecycleProcessor.java:149) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.onRefresh(DefaultLifecycleProcessor.java:112) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.AbstractApplicationContext.finishRefresh(AbstractApplicationContext.java:770) ~[AbstractApplicationContext.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.AbstractApplicationContext.refresh(AbstractApplicationContext.java:483) ~[AbstractApplicationContext.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at javax.servlet.GenericServlet.init(GenericServlet.java:158) ~[servlet-api.jar:3.1.FR] [INFO] [talledLocalContainer] at java.lang.Thread.run(Thread.java:745) ~[na:1.8.0_60] [INFO] [talledLocalContainer] ... 8 frames trimmed [INFO] [talledLocalContainer] Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle com.pbaranchikov.stash-eol-check [111]: Unable to resolve 111.0: missing requirement [111.0] osgi.wiring.package; (osgi.wiring.package=com.atlassian.stash.commit) [INFO] [talledLocalContainer] at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:3974) ~[Felix.class:na] [INFO] [talledLocalContainer] ... 22 common frames omitted [INFO] [talledLocalContainer] 2015-09-25 12:08:39,501 ERROR [spring-startup] c.a.plugin.osgi.factory.OsgiPlugin Detected an error (BundleException) enabling the plugin 'com.pbaranchikov.stash-eol-check-tests' : Unresolved constraint in bundle com.pbaranchikov.stash-eol-check-tests [112]: Unable to resolve 112.0: missing requirement [112.0] osgi.wiring.package; (osgi.wiring.package=com.atlassian.stash.commit). This error usually occurs when your plugin imports a package from another bundle with a specific version constraint and either the bundle providing that package doesn't meet those version constraints, or there is no bundle available that provides the specified package. For more details on how to fix this, see https://developer.atlassian.com/x/mQAN [INFO] [talledLocalContainer] 2015-09-25 12:08:39,501 WARN [spring-startup] c.a.plugin.impl.AbstractPlugin Unable to enable plugin 'com.pbaranchikov.stash-eol-check-tests' [INFO] [talledLocalContainer] 2015-09-25 12:08:39,505 WARN [spring-startup] c.a.plugin.impl.AbstractPlugin Because of this exception [INFO] [talledLocalContainer] com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.pbaranchikov.stash-eol-check-tests [INFO] [talledLocalContainer] at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:449) ~[OsgiPlugin.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:336) ~[AbstractPlugin.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:150) [PluginEnabler.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:118) [PluginEnabler.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.enableDependentPlugins(DefaultPluginManager.java:1249) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.addPlugins(DefaultPluginManager.java:1221) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.StashPluginManager.addPlugins(StashPluginManager.java:71) [StashPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.earlyStartup(DefaultPluginManager.java:513) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.StashPluginManager.lambda$earlyStartup$3(StashPluginManager.java:51) [StashPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.PluginUpgradeHelper.withUpgrade(PluginUpgradeHelper.java:82) ~[PluginUpgradeHelper.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.StashPluginManager.earlyStartup(StashPluginManager.java:51) [StashPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.init(DefaultPluginManager.java:426) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.SpringPluginSystemLifecycle.start(SpringPluginSystemLifecycle.java:34) ~[SpringPluginSystemLifecycle.class:na] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.doStart(DefaultLifecycleProcessor.java:173) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.access$200(DefaultLifecycleProcessor.java:51) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor$LifecycleGroup.start(DefaultLifecycleProcessor.java:346) ~[DefaultLifecycleProcessor$LifecycleGroup.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.startBeans(DefaultLifecycleProcessor.java:149) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.onRefresh(DefaultLifecycleProcessor.java:112) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.AbstractApplicationContext.finishRefresh(AbstractApplicationContext.java:770) ~[AbstractApplicationContext.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.AbstractApplicationContext.refresh(AbstractApplicationContext.java:483) ~[AbstractApplicationContext.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at javax.servlet.GenericServlet.init(GenericServlet.java:158) ~[servlet-api.jar:3.1.FR] [INFO] [talledLocalContainer] at java.lang.Thread.run(Thread.java:745) ~[na:1.8.0_60] [INFO] [talledLocalContainer] ... 8 frames trimmed [INFO] [talledLocalContainer] Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle com.pbaranchikov.stash-eol-check-tests [112]: Unable to resolve 112.0: missing requirement [112.0] osgi.wiring.package; (osgi.wiring.package=com.atlassian.stash.commit) [INFO] [talledLocalContainer] at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:3974) ~[Felix.class:na] [INFO] [talledLocalContainer] ... 22 common frames omitted [INFO] [talledLocalContainer] 2015-09-25 12:08:39,508 ERROR [spring-startup] c.a.plugin.manager.PluginEnabler Unable to enable plugin com.pbaranchikov.stash-eol-check-tests [INFO] [talledLocalContainer] com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.pbaranchikov.stash-eol-check-tests [INFO] [talledLocalContainer] at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:449) ~[OsgiPlugin.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:336) ~[AbstractPlugin.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:150) [PluginEnabler.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:118) [PluginEnabler.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.enableDependentPlugins(DefaultPluginManager.java:1249) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.addPlugins(DefaultPluginManager.java:1221) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.StashPluginManager.addPlugins(StashPluginManager.java:71) [StashPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.earlyStartup(DefaultPluginManager.java:513) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.StashPluginManager.lambda$earlyStartup$3(StashPluginManager.java:51) [StashPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.PluginUpgradeHelper.withUpgrade(PluginUpgradeHelper.java:82) ~[PluginUpgradeHelper.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.StashPluginManager.earlyStartup(StashPluginManager.java:51) [StashPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.init(DefaultPluginManager.java:426) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.SpringPluginSystemLifecycle.start(SpringPluginSystemLifecycle.java:34) ~[SpringPluginSystemLifecycle.class:na] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.doStart(DefaultLifecycleProcessor.java:173) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.access$200(DefaultLifecycleProcessor.java:51) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor$LifecycleGroup.start(DefaultLifecycleProcessor.java:346) ~[DefaultLifecycleProcessor$LifecycleGroup.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.startBeans(DefaultLifecycleProcessor.java:149) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.onRefresh(DefaultLifecycleProcessor.java:112) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.AbstractApplicationContext.finishRefresh(AbstractApplicationContext.java:770) ~[AbstractApplicationContext.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.AbstractApplicationContext.refresh(AbstractApplicationContext.java:483) ~[AbstractApplicationContext.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at javax.servlet.GenericServlet.init(GenericServlet.java:158) ~[servlet-api.jar:3.1.FR] [INFO] [talledLocalContainer] at java.lang.Thread.run(Thread.java:745) ~[na:1.8.0_60] [INFO] [talledLocalContainer] ... 8 frames trimmed [INFO] [talledLocalContainer] Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle com.pbaranchikov.stash-eol-check-tests [112]: Unable to resolve 112.0: missing requirement [112.0] osgi.wiring.package; (osgi.wiring.package=com.atlassian.stash.commit) {code} So, are there still some stash references left by accident? As, I have not received any answer on support forum, I suppose this is an issue. {code}
    via by Pavel Baranchikov,
  • It is not possible to execute wired integration tests. I get error instead: {code} java.lang.Exception: No tests found in class [it.com.pbaranchikov.stash.checks.InheritedEolTest] at com.atlassian.plugins.osgi.test.AtlassianPluginsTestRunner.runViaRestCall(AtlassianPluginsTestRunner.java:125) at com.atlassian.plugins.osgi.test.AtlassianPluginsTestRunner.run(AtlassianPluginsTestRunner.java:75) at org.apache.maven.surefire.junit4.JUnit4Provider.execute(JUnit4Provider.java:252) at org.apache.maven.surefire.junit4.JUnit4Provider.executeTestSet(JUnit4Provider.java:141) {code} Bitbucket server output contains the following: {code} [INFO] [talledLocalContainer] 2015-09-25 12:08:39,431 WARN [ThreadPoolAsyncTaskExecutor::Thread 1] c.a.p.s.s.e.DevModeBeanInitialisationLoggerBeanPostProcessor AfterInitialisation [beanName=urlRouteModuleDescriptorFactory, objectType=com.atlassian.prettyurls.module.UrlRouteModuleDescriptorFactory, level=-5] [INFO] [talledLocalContainer] 2015-09-25 12:08:39,466 WARN [spring-startup] c.a.plugin.impl.AbstractPlugin Because of this exception [INFO] [talledLocalContainer] com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.pbaranchikov.stash-eol-check [INFO] [talledLocalContainer] at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:449) ~[OsgiPlugin.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:336) ~[AbstractPlugin.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:150) [PluginEnabler.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:118) [PluginEnabler.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.enableDependentPlugins(DefaultPluginManager.java:1249) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.addPlugins(DefaultPluginManager.java:1221) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.StashPluginManager.addPlugins(StashPluginManager.java:71) [StashPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.earlyStartup(DefaultPluginManager.java:513) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.StashPluginManager.lambda$earlyStartup$3(StashPluginManager.java:51) [StashPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.PluginUpgradeHelper.withUpgrade(PluginUpgradeHelper.java:82) ~[PluginUpgradeHelper.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.StashPluginManager.earlyStartup(StashPluginManager.java:51) [StashPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.init(DefaultPluginManager.java:426) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.SpringPluginSystemLifecycle.start(SpringPluginSystemLifecycle.java:34) ~[SpringPluginSystemLifecycle.class:na] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.doStart(DefaultLifecycleProcessor.java:173) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.access$200(DefaultLifecycleProcessor.java:51) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor$LifecycleGroup.start(DefaultLifecycleProcessor.java:346) ~[DefaultLifecycleProcessor$LifecycleGroup.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.startBeans(DefaultLifecycleProcessor.java:149) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.onRefresh(DefaultLifecycleProcessor.java:112) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.AbstractApplicationContext.finishRefresh(AbstractApplicationContext.java:770) ~[AbstractApplicationContext.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.AbstractApplicationContext.refresh(AbstractApplicationContext.java:483) ~[AbstractApplicationContext.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at javax.servlet.GenericServlet.init(GenericServlet.java:158) ~[servlet-api.jar:3.1.FR] [INFO] [talledLocalContainer] at java.lang.Thread.run(Thread.java:745) ~[na:1.8.0_60] [INFO] [talledLocalContainer] ... 8 frames trimmed [INFO] [talledLocalContainer] Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle com.pbaranchikov.stash-eol-check [111]: Unable to resolve 111.0: missing requirement [111.0] osgi.wiring.package; (osgi.wiring.package=com.atlassian.stash.commit) [INFO] [talledLocalContainer] at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:3974) ~[Felix.class:na] [INFO] [talledLocalContainer] ... 22 common frames omitted [INFO] [talledLocalContainer] 2015-09-25 12:08:39,492 ERROR [spring-startup] c.a.plugin.manager.PluginEnabler Unable to enable plugin com.pbaranchikov.stash-eol-check [INFO] [talledLocalContainer] com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.pbaranchikov.stash-eol-check [INFO] [talledLocalContainer] at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:449) ~[OsgiPlugin.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:336) ~[AbstractPlugin.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:150) [PluginEnabler.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:118) [PluginEnabler.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.enableDependentPlugins(DefaultPluginManager.java:1249) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.addPlugins(DefaultPluginManager.java:1221) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.StashPluginManager.addPlugins(StashPluginManager.java:71) [StashPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.earlyStartup(DefaultPluginManager.java:513) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.StashPluginManager.lambda$earlyStartup$3(StashPluginManager.java:51) [StashPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.PluginUpgradeHelper.withUpgrade(PluginUpgradeHelper.java:82) ~[PluginUpgradeHelper.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.StashPluginManager.earlyStartup(StashPluginManager.java:51) [StashPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.init(DefaultPluginManager.java:426) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.SpringPluginSystemLifecycle.start(SpringPluginSystemLifecycle.java:34) ~[SpringPluginSystemLifecycle.class:na] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.doStart(DefaultLifecycleProcessor.java:173) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.access$200(DefaultLifecycleProcessor.java:51) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor$LifecycleGroup.start(DefaultLifecycleProcessor.java:346) ~[DefaultLifecycleProcessor$LifecycleGroup.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.startBeans(DefaultLifecycleProcessor.java:149) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.onRefresh(DefaultLifecycleProcessor.java:112) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.AbstractApplicationContext.finishRefresh(AbstractApplicationContext.java:770) ~[AbstractApplicationContext.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.AbstractApplicationContext.refresh(AbstractApplicationContext.java:483) ~[AbstractApplicationContext.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at javax.servlet.GenericServlet.init(GenericServlet.java:158) ~[servlet-api.jar:3.1.FR] [INFO] [talledLocalContainer] at java.lang.Thread.run(Thread.java:745) ~[na:1.8.0_60] [INFO] [talledLocalContainer] ... 8 frames trimmed [INFO] [talledLocalContainer] Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle com.pbaranchikov.stash-eol-check [111]: Unable to resolve 111.0: missing requirement [111.0] osgi.wiring.package; (osgi.wiring.package=com.atlassian.stash.commit) [INFO] [talledLocalContainer] at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:3974) ~[Felix.class:na] [INFO] [talledLocalContainer] ... 22 common frames omitted [INFO] [talledLocalContainer] 2015-09-25 12:08:39,501 ERROR [spring-startup] c.a.plugin.osgi.factory.OsgiPlugin Detected an error (BundleException) enabling the plugin 'com.pbaranchikov.stash-eol-check-tests' : Unresolved constraint in bundle com.pbaranchikov.stash-eol-check-tests [112]: Unable to resolve 112.0: missing requirement [112.0] osgi.wiring.package; (osgi.wiring.package=com.atlassian.stash.commit). This error usually occurs when your plugin imports a package from another bundle with a specific version constraint and either the bundle providing that package doesn't meet those version constraints, or there is no bundle available that provides the specified package. For more details on how to fix this, see https://developer.atlassian.com/x/mQAN [INFO] [talledLocalContainer] 2015-09-25 12:08:39,501 WARN [spring-startup] c.a.plugin.impl.AbstractPlugin Unable to enable plugin 'com.pbaranchikov.stash-eol-check-tests' [INFO] [talledLocalContainer] 2015-09-25 12:08:39,505 WARN [spring-startup] c.a.plugin.impl.AbstractPlugin Because of this exception [INFO] [talledLocalContainer] com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.pbaranchikov.stash-eol-check-tests [INFO] [talledLocalContainer] at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:449) ~[OsgiPlugin.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:336) ~[AbstractPlugin.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:150) [PluginEnabler.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:118) [PluginEnabler.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.enableDependentPlugins(DefaultPluginManager.java:1249) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.addPlugins(DefaultPluginManager.java:1221) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.StashPluginManager.addPlugins(StashPluginManager.java:71) [StashPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.earlyStartup(DefaultPluginManager.java:513) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.StashPluginManager.lambda$earlyStartup$3(StashPluginManager.java:51) [StashPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.PluginUpgradeHelper.withUpgrade(PluginUpgradeHelper.java:82) ~[PluginUpgradeHelper.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.StashPluginManager.earlyStartup(StashPluginManager.java:51) [StashPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.init(DefaultPluginManager.java:426) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.SpringPluginSystemLifecycle.start(SpringPluginSystemLifecycle.java:34) ~[SpringPluginSystemLifecycle.class:na] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.doStart(DefaultLifecycleProcessor.java:173) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.access$200(DefaultLifecycleProcessor.java:51) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor$LifecycleGroup.start(DefaultLifecycleProcessor.java:346) ~[DefaultLifecycleProcessor$LifecycleGroup.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.startBeans(DefaultLifecycleProcessor.java:149) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.onRefresh(DefaultLifecycleProcessor.java:112) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.AbstractApplicationContext.finishRefresh(AbstractApplicationContext.java:770) ~[AbstractApplicationContext.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.AbstractApplicationContext.refresh(AbstractApplicationContext.java:483) ~[AbstractApplicationContext.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at javax.servlet.GenericServlet.init(GenericServlet.java:158) ~[servlet-api.jar:3.1.FR] [INFO] [talledLocalContainer] at java.lang.Thread.run(Thread.java:745) ~[na:1.8.0_60] [INFO] [talledLocalContainer] ... 8 frames trimmed [INFO] [talledLocalContainer] Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle com.pbaranchikov.stash-eol-check-tests [112]: Unable to resolve 112.0: missing requirement [112.0] osgi.wiring.package; (osgi.wiring.package=com.atlassian.stash.commit) [INFO] [talledLocalContainer] at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:3974) ~[Felix.class:na] [INFO] [talledLocalContainer] ... 22 common frames omitted [INFO] [talledLocalContainer] 2015-09-25 12:08:39,508 ERROR [spring-startup] c.a.plugin.manager.PluginEnabler Unable to enable plugin com.pbaranchikov.stash-eol-check-tests [INFO] [talledLocalContainer] com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.pbaranchikov.stash-eol-check-tests [INFO] [talledLocalContainer] at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:449) ~[OsgiPlugin.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:336) ~[AbstractPlugin.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:150) [PluginEnabler.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:118) [PluginEnabler.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.enableDependentPlugins(DefaultPluginManager.java:1249) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.addPlugins(DefaultPluginManager.java:1221) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.StashPluginManager.addPlugins(StashPluginManager.java:71) [StashPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.earlyStartup(DefaultPluginManager.java:513) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.StashPluginManager.lambda$earlyStartup$3(StashPluginManager.java:51) [StashPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.PluginUpgradeHelper.withUpgrade(PluginUpgradeHelper.java:82) ~[PluginUpgradeHelper.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.StashPluginManager.earlyStartup(StashPluginManager.java:51) [StashPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.plugin.manager.DefaultPluginManager.init(DefaultPluginManager.java:426) [DefaultPluginManager.class:na] [INFO] [talledLocalContainer] at com.atlassian.stash.internal.plugin.SpringPluginSystemLifecycle.start(SpringPluginSystemLifecycle.java:34) ~[SpringPluginSystemLifecycle.class:na] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.doStart(DefaultLifecycleProcessor.java:173) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.access$200(DefaultLifecycleProcessor.java:51) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor$LifecycleGroup.start(DefaultLifecycleProcessor.java:346) ~[DefaultLifecycleProcessor$LifecycleGroup.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.startBeans(DefaultLifecycleProcessor.java:149) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.DefaultLifecycleProcessor.onRefresh(DefaultLifecycleProcessor.java:112) ~[DefaultLifecycleProcessor.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.AbstractApplicationContext.finishRefresh(AbstractApplicationContext.java:770) ~[AbstractApplicationContext.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at org.springframework.context.support.AbstractApplicationContext.refresh(AbstractApplicationContext.java:483) ~[AbstractApplicationContext.class:4.1.7.RELEASE] [INFO] [talledLocalContainer] at javax.servlet.GenericServlet.init(GenericServlet.java:158) ~[servlet-api.jar:3.1.FR] [INFO] [talledLocalContainer] at java.lang.Thread.run(Thread.java:745) ~[na:1.8.0_60] [INFO] [talledLocalContainer] ... 8 frames trimmed [INFO] [talledLocalContainer] Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle com.pbaranchikov.stash-eol-check-tests [112]: Unable to resolve 112.0: missing requirement [112.0] osgi.wiring.package; (osgi.wiring.package=com.atlassian.stash.commit) {code} So, are there still some stash references left by accident? As, I have not received any answer on support forum, I suppose this is an issue. {code}
    via by Pavel Baranchikov,
  • h3. Summary After installing or upgrading to Team Calendars 5.2.16 Team Calendars is disabled at startup h3. Steps to Reproduce # Install Confluence 5.7.x # Install Team Calendars 5.2.16 # Restart Confluence h3. Expected Results Team Calendars would be enabled with the other plugins at startup h3. Actual Results The below exception is thrown in the atlassian-confluence.log file: {noformat} 2015-08-04 17:20:38,171 WARN [localhost-startStop-1] [osgi.container.felix.FelixOsgiContainerManager] doLog Unable to resolve bundle 20: Unresolved constrai nt in bundle com.atlassian.confluence.extra.team-calendars [20]: Unable to resolve 20.0: missing requirement [20.0] package; (&(package=com.atlassian.active objects.external)(version>=0.22.2)) 2015-08-04 17:20:38,171 ERROR [localhost-startStop-1] [plugin.osgi.factory.OsgiPluginInstalledHelper] getRequiredPlugins Cannot determine required plugins, cannot resolve bundle 'com.atlassian.confluence.extra.team-calendars' 2015-08-04 17:20:41,147 WARN [localhost-startStop-1] [osgi.container.felix.FelixOsgiContainerManager] doLog Unable to resolve bundle 20: Unresolved constrai nt in bundle com.atlassian.confluence.extra.team-calendars [20]: Unable to resolve 20.0: missing requirement [20.0] package; (&(package=com.atlassian.active objects.external)(version>=0.22.2)) 2015-08-04 17:20:41,781 ERROR [localhost-startStop-1] [plugin.osgi.factory.OsgiPlugin] enableInternal Detected an error (BundleException) enabling the plugi n 'com.atlassian.confluence.extra.team-calendars' : Unresolved constraint in bundle com.atlassian.confluence.extra.team-calendars [20]: Unable to resolve 20 .0: missing requirement [20.0] package; (&(package=com.atlassian.activeobjects.external)(version>=0.22.2)). This error usually occurs when your plugin impo rts a package from another bundle with a specific version constraint and either the bundle providing that package doesn't meet those version constraints, or there is no bundle available that provides the specified package. For more details on how to fix this, see https://developer.atlassian.com/x/mQAN 2015-08-04 17:20:41,782 WARN [localhost-startStop-1] [atlassian.plugin.impl.AbstractPlugin] enable Unable to enable plugin 'com.atlassian.confluence.extra.t eam-calendars' 2015-08-04 17:20:41,783 WARN [localhost-startStop-1] [atlassian.plugin.impl.AbstractPlugin] enable Because of this exception com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.atlassian.confluence.extra.team-calendars at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:479) at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:310) at com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:136) at com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:104) ... Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle com.atlassian.confluence.extra.team-calendars [20]: Unable to resolve 20.0: missing requirement [20.0] package; (&(package=com.atlassian.activeobjects.external)(version>=0.22.2)) at org.apache.felix.framework.Felix.resolveBundle(Felix.java:3409) at org.apache.felix.framework.Felix.startBundle(Felix.java:1709) at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:905) at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:892) at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:456) ... 18 more 2015-08-04 17:20:41,784 ERROR [localhost-startStop-1] [atlassian.plugin.manager.PluginEnabler] actualEnable Unable to enable plugin com.atlassian.confluence.extra.team-calendars com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.atlassian.confluence.extra.team-calendars at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:479) at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:310) at com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:136) at com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:104) at com.atlassian.plugin.manager.DefaultPluginManager.addPlugins(DefaultPluginManager.java:1199) ... Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle com.atlassian.confluence.extra.team-calendars [20]: Unable to resolve 20.0: missing requirement [20.0] package; (&(package=com.atlassian.activeobjects.external)(version>=0.22.2)) {noformat} h3.Workaround 1 Uninstall Team Calendars 5.2.16 and install Team Calendars 5.2.13 h3.Workaround 2 Upgrade Confluence to higher than 5.8 h3. Workaround 3 In some cases the plugin can be enabled in the UI after the initial attempt to enable times out.
    via by Ann Worley [Atlassian],
  • h3. Summary After installing or upgrading to Team Calendars 5.2.16 Team Calendars is disabled at startup h3. Steps to Reproduce # Install Confluence 5.7.x # Install Team Calendars 5.2.16 # Restart Confluence h3. Expected Results Team Calendars would be enabled with the other plugins at startup h3. Actual Results The below exception is thrown in the atlassian-confluence.log file: {noformat} 2015-08-04 17:20:38,171 WARN [localhost-startStop-1] [osgi.container.felix.FelixOsgiContainerManager] doLog Unable to resolve bundle 20: Unresolved constrai nt in bundle com.atlassian.confluence.extra.team-calendars [20]: Unable to resolve 20.0: missing requirement [20.0] package; (&(package=com.atlassian.active objects.external)(version>=0.22.2)) 2015-08-04 17:20:38,171 ERROR [localhost-startStop-1] [plugin.osgi.factory.OsgiPluginInstalledHelper] getRequiredPlugins Cannot determine required plugins, cannot resolve bundle 'com.atlassian.confluence.extra.team-calendars' 2015-08-04 17:20:41,147 WARN [localhost-startStop-1] [osgi.container.felix.FelixOsgiContainerManager] doLog Unable to resolve bundle 20: Unresolved constrai nt in bundle com.atlassian.confluence.extra.team-calendars [20]: Unable to resolve 20.0: missing requirement [20.0] package; (&(package=com.atlassian.active objects.external)(version>=0.22.2)) 2015-08-04 17:20:41,781 ERROR [localhost-startStop-1] [plugin.osgi.factory.OsgiPlugin] enableInternal Detected an error (BundleException) enabling the plugi n 'com.atlassian.confluence.extra.team-calendars' : Unresolved constraint in bundle com.atlassian.confluence.extra.team-calendars [20]: Unable to resolve 20 .0: missing requirement [20.0] package; (&(package=com.atlassian.activeobjects.external)(version>=0.22.2)). This error usually occurs when your plugin impo rts a package from another bundle with a specific version constraint and either the bundle providing that package doesn't meet those version constraints, or there is no bundle available that provides the specified package. For more details on how to fix this, see https://developer.atlassian.com/x/mQAN 2015-08-04 17:20:41,782 WARN [localhost-startStop-1] [atlassian.plugin.impl.AbstractPlugin] enable Unable to enable plugin 'com.atlassian.confluence.extra.t eam-calendars' 2015-08-04 17:20:41,783 WARN [localhost-startStop-1] [atlassian.plugin.impl.AbstractPlugin] enable Because of this exception com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.atlassian.confluence.extra.team-calendars at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:479) at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:310) at com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:136) at com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:104) ... Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle com.atlassian.confluence.extra.team-calendars [20]: Unable to resolve 20.0: missing requirement [20.0] package; (&(package=com.atlassian.activeobjects.external)(version>=0.22.2)) at org.apache.felix.framework.Felix.resolveBundle(Felix.java:3409) at org.apache.felix.framework.Felix.startBundle(Felix.java:1709) at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:905) at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:892) at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:456) ... 18 more 2015-08-04 17:20:41,784 ERROR [localhost-startStop-1] [atlassian.plugin.manager.PluginEnabler] actualEnable Unable to enable plugin com.atlassian.confluence.extra.team-calendars com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.atlassian.confluence.extra.team-calendars at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:479) at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:310) at com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:136) at com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:104) at com.atlassian.plugin.manager.DefaultPluginManager.addPlugins(DefaultPluginManager.java:1199) ... Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle com.atlassian.confluence.extra.team-calendars [20]: Unable to resolve 20.0: missing requirement [20.0] package; (&(package=com.atlassian.activeobjects.external)(version>=0.22.2)) {noformat} h3.Workaround 1 Uninstall Team Calendars 5.2.16 and install Team Calendars 5.2.13 h3.Workaround 2 Upgrade Confluence to higher than 5.8 h3. Workaround 3 In some cases the plugin can be enabled in the UI after the initial attempt to enable times out.
    via by Ann Worley [Atlassian],
  • JJUPIN will not enable - Atlassian Answers
    via by Unknown author,
    • com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.pbaranchikov.stash-eol-check-tests at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:449)[OsgiPlugin.class:na] at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:336)[AbstractPlugin.class:na] at com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:150)[PluginEnabler.class:na] at com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:118)[PluginEnabler.class:na] at com.atlassian.plugin.manager.DefaultPluginManager.enableDependentPlugins(DefaultPluginManager.java:1249)[DefaultPluginManager.class:na] at com.atlassian.plugin.manager.DefaultPluginManager.addPlugins(DefaultPluginManager.java:1221)[DefaultPluginManager.class:na] at com.atlassian.stash.internal.plugin.StashPluginManager.addPlugins(StashPluginManager.java:71)[StashPluginManager.class:na] at com.atlassian.plugin.manager.DefaultPluginManager.earlyStartup(DefaultPluginManager.java:513)[DefaultPluginManager.class:na] at com.atlassian.stash.internal.plugin.StashPluginManager.lambda$earlyStartup$3(StashPluginManager.java:51)[StashPluginManager.class:na] at com.atlassian.stash.internal.plugin.PluginUpgradeHelper.withUpgrade(PluginUpgradeHelper.java:82)[PluginUpgradeHelper.class:na] at com.atlassian.stash.internal.plugin.StashPluginManager.earlyStartup(StashPluginManager.java:51)[StashPluginManager.class:na] at com.atlassian.plugin.manager.DefaultPluginManager.init(DefaultPluginManager.java:426)[DefaultPluginManager.class:na] at com.atlassian.stash.internal.plugin.SpringPluginSystemLifecycle.start(SpringPluginSystemLifecycle.java:34)[SpringPluginSystemLifecycle.class:na] at org.springframework.context.support.DefaultLifecycleProcessor.doStart(DefaultLifecycleProcessor.java:173)[DefaultLifecycleProcessor.class:4.1.7.RELEASE] at org.springframework.context.support.DefaultLifecycleProcessor.access$200(DefaultLifecycleProcessor.java:51)[DefaultLifecycleProcessor.class:4.1.7.RELEASE] at org.springframework.context.support.DefaultLifecycleProcessor$LifecycleGroup.start(DefaultLifecycleProcessor.java:346)[DefaultLifecycleProcessor$LifecycleGroup.class:4.1.7.RELEASE] at org.springframework.context.support.DefaultLifecycleProcessor.startBeans(DefaultLifecycleProcessor.java:149)[DefaultLifecycleProcessor.class:4.1.7.RELEASE] at org.springframework.context.support.DefaultLifecycleProcessor.onRefresh(DefaultLifecycleProcessor.java:112)[DefaultLifecycleProcessor.class:4.1.7.RELEASE] at org.springframework.context.support.AbstractApplicationContext.finishRefresh(AbstractApplicationContext.java:770)[AbstractApplicationContext.class:4.1.7.RELEASE] at org.springframework.context.support.AbstractApplicationContext.refresh(AbstractApplicationContext.java:483)[AbstractApplicationContext.class:4.1.7.RELEASE] at javax.servlet.GenericServlet.init(GenericServlet.java:158)[servlet-api.jar:3.1.FR] at java.lang.Thread.run(Thread.java:745)[na:1.8.0_60]
    No Bugmate found.